<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.TodoItemMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.TodoItem">
        <id column="id" property="id" />
        <result column="parent_id" property="parentId" />
        <result column="status" property="status" />
        <result column="todo_title" property="todoTitle" />
        <result column="todo_detail" property="todoDetail" />
        <result column="owner_name" property="ownerName" />
        <result column="owner_phone" property="ownerPhone" />
        <result column="pending_date" property="pendingDate" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, parent_id, status, todo_title, todo_detail, owner_name, owner_phone, pending_date, create_time, update_time
    </sql>

</mapper>
